#### D.2.6.1 modular

Procedure from library `modular.lib` (see modular_lib).

Usage:
  modular(command, arguments[, primeTest, deleteUnluckyPrimes, pTest, finalTest, pmax), command string, arguments list, primeTest proc, deleteUnluckyPrimes proc, pTest proc, finalTest proc, pmax int

Return:
  the result of `command` applied to `arguments`, computed using modular methods.

Note:
  For the general algorithm and the role of the optional arguments primeTest, deleteUnluckyPrimes, pTest, and finalTest, see modStd and the reference given in modular_lib. The default for these arguments is that all tests succeed and that all primes are assumed to be lucky.
  The type of the result when `command` is applied to `arguments` must be either `bigint`, `ideal`, `module`, or `matrix`.
  The optional argument pmax is an upper bound for the prime numbers to be used for the modular computations. The default is 2147483647 (largest prime which can be represented as an `int` in Singular), or 536870909 (largest prime below 2^29} for baserings with parameters.

Example:

    LIB "modular.lib";
    ring R = 0, (x,y), dp;
    ideal I = x9y2+x10, x2y7-y8;
    modular("std", list(I));
    ==> _[1]=x2y7-y8
    ==> _[2]=x9y2+x10
    ==> _[3]=x12y+xy11
    ==> _[4]=x13-xy12
    ==> _[5]=y14+xy12
    ==> _[6]=xy13+y12

See also: modStd.

User manual for Singular version 4.4.1, 2025, generated by texi2html.